

#   Package for access to the LyrTech VHS_ADC modules

set PACKAGE VHSADC
set VERSION 1.0

global tcl_platform 

switch $tcl_platform(os) {
   "Windows NT" {
       package ifneeded $PACKAGE $VERSION  \
          [load [file join $env(MIDASBASE) MIDASpackages $PACKAGE$VERSION Win [set PACKAGE].dll]]
   }
   SunOS {
       package ifneeded $PACKAGE $VERSION  \
           {puts stderr "Package $PACKAGE is not available for SunOS"}
   }
   Linux {
       package ifneeded $PACKAGE $VERSION  \
           {puts stderr "Package $PACKAGE is not available for Linux"}
   }
   default {"unknown or unsupported os - $tcl_platform(os)"}
}

